Subject: Re: dts file for ep8548A board

From: John Traill <[email-masked]>
Date: Tue, 16 Sep 2008 10:44:11 +0100

Don't know if this helps but ..

The EP boards I've used have an old version of u-boot which don't support passing the device tree address so I've had to build a cuImage.

Cheers.

poornima r wrote:
> Hi all,
> 
> I am working on ep8548A embedded planet board.
> I am using mpc8548cds dtb file (mpc8548cds.dts file in 
> arch/powerpc/boot/dts directory of the kernel source) as my device tree 
> file.
> I am tracing the kernel initilization path through BDI.
> The BDI tracing is hanging in early_init_devtree ( in machine_init 
> function) if the r3 register (physical pointer to device tree block) is 
> not set to dtb file loaded location in RAM.
> Once I set the r3 register manually in BDI (rm r3 <dtb file location>) 
> the kernel is passing machine_init function (passing early_init_devtree( 
> ) ).
> I tried  to statically set r3 register in head_fsl_booke.S  file by 
> using ori instruction but I was not able to set the r3 value to dtb file 
> RAM location.
> Are any changes necessary in mps8548cds.dts for ep8548A board?
> How do we and where should we set the r3 register value in 
> head_fsl_booke.S file for device tree initilization?
> 
> Thanks,
> Poornima
>  
>  
> 
>  
> 
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev

-- 
John Traill
Systems Engineer
Network and Computing Systems Group

Freescale Semiconductor UK LTD
Colvilles Road
East Kilbride
Glasgow G75 0TG, Scotland

Tel: +44 (0) 1355 355494
Fax: +44 (0) 1355 261790

E-mail: [email-masked]

Registration Number: SC262720
VAT Number: GB831329053

[ ] General Business Use
[ ] Freescale Internal Use Only
[ ] Freescale Confidential Proprietary